# 端点反馈 (/zh/api-reference/endpoint/feedback)

<!-- agent-signals: reading_time_min: 3 · est_tokens: 2679 · updated: 2026-07-30 -->
Related: [Search（搜索）](/zh/api-reference/endpoint/search.md), [搜索反馈](/zh/api-reference/endpoint/search-feedback.md), [Scrape](/zh/api-reference/endpoint/scrape.md), [批量抓取](/zh/api-reference/endpoint/batch-scrape.md), [获取批量抓取状态](/zh/api-reference/endpoint/batch-scrape-get.md), [取消批量抓取](/zh/api-reference/endpoint/batch-scrape-delete.md)

使用端点反馈来告知 Firecrawl，某个已完成任务的结果是有用、部分有用，还是较差。这用于评估 `scrape`、`parse`、`map` 和 `search` 等任务在端点级别的输出质量。

通用反馈 schema 也可以包含搜索相关字段，但 [搜索反馈](/zh/api-reference/endpoint/search-feedback) 是更推荐的搜索专用入口，因为它绑定到特定的搜索任务 ID，并可标注有价值的来源、缺失的内容、query 建议以及退款处理。

<div id="example-request">
  ### 请求示例 [#请求示例]
</div>

```bash
curl -X POST "https://api.firecrawl.dev/v2/feedback" \
  -H "Authorization: Bearer $FIRECRAWL_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "endpoint": "scrape",
    "jobId": "550e8400-e29b-41d4-a716-446655440000",
    "rating": "partial",
    "issues": ["missing_markdown"],
    "note": "The pricing table was missing from the markdown output.",
    "url": "https://example.com/pricing"
  }'
```

`POST /feedback`

提交 v2 任务反馈

## OpenAPI

```json
{
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "allOf": [
            {
              "description": "若为“good”，请包含 valuableSources。若为“partial”，请包含 valuableSources 或 missingContent。若为“bad”，请包含 missingContent 或 querySuggestions。",
              "properties": {
                "integration": {
                  "nullable": true,
                  "type": "string"
                },
                "missingContent": {
                  "items": {
                    "properties": {
                      "description": {
                        "maxLength": 2000,
                        "type": "string"
                      },
                      "topic": {
                        "maxLength": 200,
                        "minLength": 1,
                        "type": "string"
                      }
                    },
                    "required": [
                      "topic"
                    ],
                    "type": "object"
                  },
                  "maxItems": 20,
                  "type": "array"
                },
                "origin": {
                  "default": "api",
                  "type": "string"
                },
                "querySuggestions": {
                  "maxLength": 2000,
                  "type": "string"
                },
                "rating": {
                  "enum": [
                    "good",
                    "partial",
                    "bad"
                  ],
                  "type": "string"
                },
                "valuableSources": {
                  "items": {
                    "properties": {
                      "reason": {
                        "maxLength": 1000,
                        "type": "string"
                      },
                      "url": {
                        "format": "uri",
                        "type": "string"
                      }
                    },
                    "required": [
                      "url"
                    ],
                    "type": "object"
                  },
                  "maxItems": 50,
                  "type": "array"
                }
              },
              "required": [
                "rating"
              ],
              "type": "object"
            },
            {
              "description": "提交 v2 任务反馈。请至少包含一项有效信号，例如 issues、note、valuableSources、missingContent、querySuggestions、url 或 pageNumbers。",
              "properties": {
                "endpoint": {
                  "enum": [
                    "search",
                    "scrape",
                    "parse",
                    "map"
                  ],
                  "type": "string"
                },
                "issues": {
                  "items": {
                    "maxLength": 80,
                    "pattern": "^[a-z0-9][a-z0-9_-]*$",
                    "type": "string"
                  },
                  "maxItems": 20,
                  "type": "array"
                },
                "jobId": {
                  "format": "uuid",
                  "type": "string"
                },
                "metadata": {
                  "additionalProperties": true,
                  "description": "较小的端点专用元数据对象。大小必须不超过 8KB；请勿包含完整的端点结果。",
                  "type": "object"
                },
                "missingContent": {
                  "items": {
                    "properties": {
                      "description": {
                        "maxLength": 2000,
                        "type": "string"
                      },
                      "topic": {
                        "maxLength": 200,
                        "minLength": 1,
                        "type": "string"
                      }
                    },
                    "required": [
                      "topic"
                    ],
                    "type": "object"
                  },
                  "maxItems": 50,
                  "type": "array"
                },
                "note": {
                  "maxLength": 4000,
                  "type": "string"
                },
                "pageNumbers": {
                  "items": {
                    "minimum": 1,
                    "type": "integer"
                  },
                  "maxItems": 100,
                  "type": "array"
                },
                "tags": {
                  "items": {
                    "maxLength": 80,
                    "pattern": "^[a-z0-9][a-z0-9_-]*$",
                    "type": "string"
                  },
                  "maxItems": 20,
                  "type": "array"
                },
                "url": {
                  "format": "uri",
                  "type": "string"
                }
              },
              "required": [
                "endpoint",
                "jobId"
              ],
              "type": "object"
            }
          ]
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "alreadySubmitted": {
                "type": "boolean"
              },
              "creditsRefunded": {
                "type": "number"
              },
              "creditsRefundedToday": {
                "type": "number"
              },
              "dailyCapReached": {
                "type": "boolean"
              },
              "dailyRefundCap": {
                "type": "number"
              },
              "feedbackId": {
                "format": "uuid",
                "type": "string"
              },
              "success": {
                "example": true,
                "type": "boolean"
              },
              "warning": {
                "type": "string"
              }
            },
            "required": [
              "success",
              "feedbackId",
              "creditsRefunded"
            ],
            "type": "object"
          }
        }
      },
      "description": "反馈已记录"
    },
    "400": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "details": {
                "items": {
                  "type": "object"
                },
                "type": "array"
              },
              "error": {
                "type": "string"
              },
              "feedbackErrorCode": {
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "required": [
              "success",
              "error"
            ],
            "type": "object"
          }
        }
      },
      "description": "无效的请求体"
    },
    "403": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "details": {
                "items": {
                  "type": "object"
                },
                "type": "array"
              },
              "error": {
                "type": "string"
              },
              "feedbackErrorCode": {
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "required": [
              "success",
              "error"
            ],
            "type": "object"
          }
        }
      },
      "description": "此团队不可用反馈功能"
    },
    "404": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "details": {
                "items": {
                  "type": "object"
                },
                "type": "array"
              },
              "error": {
                "type": "string"
              },
              "feedbackErrorCode": {
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "required": [
              "success",
              "error"
            ],
            "type": "object"
          }
        }
      },
      "description": "未找到此团队的任务"
    },
    "409": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "details": {
                "items": {
                  "type": "object"
                },
                "type": "array"
              },
              "error": {
                "type": "string"
              },
              "feedbackErrorCode": {
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "required": [
              "success",
              "error"
            ],
            "type": "object"
          }
        }
      },
      "description": "此任务无法记录反馈"
    },
    "500": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "details": {
                "items": {
                  "type": "object"
                },
                "type": "array"
              },
              "error": {
                "type": "string"
              },
              "feedbackErrorCode": {
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "required": [
              "success",
              "error"
            ],
            "type": "object"
          }
        }
      },
      "description": "服务器错误"
    }
  }
}
```
